# Record Class CSFaultInjectionConfiguration

java.lang.Object
java.lang.Record
com.io7m.certusine.api.CSFaultInjectionConfiguration

Record Components:
  `failTasks` - Fail task execution
  `failDNSChallenge` - Fail DNS challenges
  `failSigningCertificates` - Fail signing certificates
  `crashTasks` - Crash task execution
  `crashDNSChallenge` - Crash DNS challenges
  `crashSigningCertificates` - Crash signing certificates

public record CSFaultInjectionConfiguration(boolean failTasks, boolean failDNSChallenge, boolean failSigningCertificates, boolean crashTasks, boolean crashDNSChallenge, boolean crashSigningCertificates) extends Record
Fault injection configuration.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CSFaultInjectionConfiguration(boolean failTasks, boolean failDNSChallenge, boolean failSigningCertificates, boolean crashTasks, boolean crashDNSChallenge, boolean crashSigningCertificates)`
  Creates an instance of a `CSFaultInjectionConfiguration` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `crashDNSChallenge()`
  Returns the value of the `crashDNSChallenge` record component.
  `boolean`
  `crashSigningCertificates()`
  Returns the value of the `crashSigningCertificates` record component.
  `boolean`
  `crashTasks()`
  Returns the value of the `crashTasks` record component.
  `static CSFaultInjectionConfiguration`
  `disabled()`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `boolean`
  `failDNSChallenge()`
  Returns the value of the `failDNSChallenge` record component.
  `boolean`
  `failSigningCertificates()`
  Returns the value of the `failSigningCertificates` record component.
  `boolean`
  `failTasks()`
  Returns the value of the `failTasks` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CSFaultInjectionConfiguration

    public CSFaultInjectionConfiguration(boolean failTasks, boolean failDNSChallenge, boolean failSigningCertificates, boolean crashTasks, boolean crashDNSChallenge, boolean crashSigningCertificates)
    Creates an instance of a `CSFaultInjectionConfiguration` record class.
    Parameters:
      `failTasks` - the value for the `failTasks` record component
      `failDNSChallenge` - the value for the `failDNSChallenge` record component
      `failSigningCertificates` - the value for the `failSigningCertificates` record component
      `crashTasks` - the value for the `crashTasks` record component
      `crashDNSChallenge` - the value for the `crashDNSChallenge` record component
      `crashSigningCertificates` - the value for the `crashSigningCertificates` record component

- ## Method Details

  - ### disabled

    public static CSFaultInjectionConfiguration disabled()
    Returns:
      The "completely disabled" fault injection configuration

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### failTasks

    public boolean failTasks()
    Returns the value of the `failTasks` record component.
    Returns:
      the value of the `failTasks` record component

  - ### failDNSChallenge

    public boolean failDNSChallenge()
    Returns the value of the `failDNSChallenge` record component.
    Returns:
      the value of the `failDNSChallenge` record component

  - ### failSigningCertificates

    public boolean failSigningCertificates()
    Returns the value of the `failSigningCertificates` record component.
    Returns:
      the value of the `failSigningCertificates` record component

  - ### crashTasks

    public boolean crashTasks()
    Returns the value of the `crashTasks` record component.
    Returns:
      the value of the `crashTasks` record component

  - ### crashDNSChallenge

    public boolean crashDNSChallenge()
    Returns the value of the `crashDNSChallenge` record component.
    Returns:
      the value of the `crashDNSChallenge` record component

  - ### crashSigningCertificates

    public boolean crashSigningCertificates()
    Returns the value of the `crashSigningCertificates` record component.
    Returns:
      the value of the `crashSigningCertificates` record component